| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
norm.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | distance2 (vecType< T, P > const &p0, vecType< T, P > const &p1)
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &v)
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | length2 (vecType< T, P > const &x)
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, tvec3< T, P > const &y, unsigned int Depth)
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, unsigned int Depth)

## Detailed Description

GLM_GTX_norm

See also
  GLM Core (dependence)
  GLM_GTX_quaternion (dependence)

Definition in file norm.hpp.